Name:           ocaml-easy-format
Version:        1.0.1
Release:        %mkrel 7
Summary:        High-level and functional interface to the Format module
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/mjambon/easy-format
Source0:        http://mjambon.com/releases/easy-format/easy-format-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  caml2html

%description
This module offers a high-level and functional interface to the Format
module of the OCaml standard library. It is a pretty-printing facility, i.e.
it takes as input some code represented as a tree and formats this code into
the most visually satisfying result, breaking and indenting lines of code
where appropriate.

Input data must be first modelled and converted into a tree using 3 kinds
of nodes: atoms, lists, labelled nodes

Atoms represent any text that is guaranteed to be printed as-is. Lists can
model any sequence of items such as arrays of data or lists of definitions
that are labelled with something like "int main", "let x =" or "x:".

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n easy-format-%{version}

%build
make
mkdir -p ocamldoc
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/easy-format
make install

%files
%doc LICENSE README Changes TODO
%dir %{_libdir}/ocaml/easy-format
%{_libdir}/ocaml/easy-format/META
%{_libdir}/ocaml/easy-format/*.cmo
%{_libdir}/ocaml/easy-format/*.cmi

%files devel
%doc examples/
%doc ocamldoc/
%{_libdir}/ocaml/easy-format/*.o
%{_libdir}/ocaml/easy-format/*.cmx
%{_libdir}/ocaml/easy-format/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 361290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 1.0.1-6.mga3
+ Revision: 308247
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.1-5.mga3
+ Revision: 301804
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.1-3.mga3
+ Revision: 300455
- increm mkrel

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.0.1-2.mga3
+ Revision: 299081
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 1.0.1-1.mga3
+ Revision: 286904
- updated to last version 1.0.1 (with new URL)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 262963
- imported package ocaml-easy-format

